Bug 812384 - (ghc-sendfile) Review Request: ghc-sendfile - Portable sendfile library
Review Request: ghc-sendfile - Portable sendfile library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
: 630298 (view as bug list)
Depends On:
Blocks: 812699
  Show dependency treegraph
 
Reported: 2012-04-13 10:49 EDT by Jens Petersen
Modified: 2012-07-09 07:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:16:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jens Petersen 2012-04-13 11:12:17 EDT
This should be the last dependency for happstack-server.
Comment 2 Narasimhan 2012-05-05 02:44:20 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-sendfile-0.7.6-1.fc15.x86_64.rpm ghc-sendfile-0.7.6-1.fc15.src.rpm ghc-sendfile-devel-0.7.6-1.fc15.x86_64.rpm  ../ghc-sendfile.spec 
ghc-sendfile.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

ghc-sendfile.src: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

ghc-sendfile-devel.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD license
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum sendfile-0.7.6.tar.gz 
4dea8d9f853fee4797f81e74791bd09e  sendfile-0.7.6.tar.gz

md5sum ghc-sendfile-0.7.6-1.fc16.src/sendfile-0.7.6.tar.gz 
4dea8d9f853fee4797f81e74791bd09e  ghc-sendfile-0.7.6-1.fc16.src/sendfile-0.7.6.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e  ghc-sendfile-0.7.6-1.fc15.x86_64
error: Failed dependencies:
        ghc(sendfile-0.7.6) = d2baade88e666ebbe0f254e473584d8d is needed by (installed) ghc-sendfile-devel-0.7.6-1.fc15.x86_64
        ghc-sendfile = 0.7.6-1.fc15 is needed by (installed) ghc-sendfile-devel-0.7.6-1.fc15.x86_64
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installs fine. Loaded Network.Socket.SendFile into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Jens Petersen 2012-05-05 21:40:36 EDT
Thank you for the review. :)


New Package SCM Request
=======================
Package Name: ghc-sendfile
Short Description: Portable sendfile library
Owners: petersen
Branches: f17 f16 el6
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2012-05-06 16:59:07 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-05-06 21:47:51 EDT
ghc-sendfile-0.7.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-sendfile-0.7.6-1.fc16
Comment 6 Fedora Update System 2012-05-06 21:48:01 EDT
ghc-sendfile-0.7.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-sendfile-0.7.6-1.fc17
Comment 7 Fedora Update System 2012-05-07 18:25:24 EDT
ghc-sendfile-0.7.6-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Jens Petersen 2012-05-13 22:22:03 EDT
Sorry might as well do f15 too, thanks!

Package Change Request
======================
Package Name: ghc-sendfile
New Branches: f15
Owners: petersen
InitialCC: haskell-sig
Comment 9 Jon Ciesla 2012-05-14 08:03:11 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-05-14 20:58:40 EDT
ghc-sendfile-0.7.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-sendfile-0.7.6-1.fc15
Comment 11 Fedora Update System 2012-05-26 03:16:24 EDT
ghc-sendfile-0.7.6-1.fc17, ghc-happstack-server-7.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-05-26 21:57:06 EDT
ghc-sendfile-0.7.6-1.fc16, ghc-happstack-server-7.0.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-05-27 03:25:03 EDT
ghc-sendfile-0.7.6-1.fc15, ghc-happstack-server-7.0.0-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 14 Shakthi Kannan 2012-07-09 07:41:36 EDT
*** Bug 630298 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.